ListDomains
Lists Domains for a given account.
Request Syntax
GET /domain?maxResults=maxResults&nextToken=nextToken&status=status HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- maxResults
-
Maximum number of results to return.
Valid Range: Minimum value of 1. Maximum value of 100.
- nextToken
-
Token for pagination.
- status
-
Filter by Domain status.
Valid Values:
ACTIVE | DELETING | DELETED
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"domains": [
{
"arn": "string",
"createdAt": number,
"domainId": "string",
"name": "string",
"status": "string"
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- domains
-
List of Domains.
Type: Array of DomainSummary objects
- nextToken
-
Token for the next page of results.
Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: